# fspec

spectral factorization of continuous time dynamical systems

## Calling Sequence

    gm=fspec(g)

## Arguments

g

  a continuous time linear dynamical system.

gm

  a continuous time linear dynamical system.

## Description

returns `gm` with `gm` and `gm^-1` stable such that:

    g = gtild(gm)*gm

gtild(gm) returns a state-space representation of gm(-s)'.

`g` is inversible.

Imaginary-axis poles are forbidden.

gtild(g)=g (poles and zeros of g are symetric wrt imaginary axis).

g(inf) is positive definite.

## Examples

    a=-1000;
    b=5;
    c=5;
    d=5;
    sl=syslin('c',a,b,c,d);
    fspec(sl)